package SGN::View::Mason::Commands;
use strict;
use vars qw($m $c);
HTML::Mason::Component::FileBased->new(
'code' => sub {
use utf8; local $SGN::View::Mason::Commands::m = $HTML::Mason::Commands::m;
HTML::Mason::Exception::Params->throw
    ( error =>
      "Odd number of parameters passed to component expecting name/value pairs"
    ) if @_ % 2;
my ( $mode, $debug );
{
    my %pos;
    for ( my $x = 0; $x < @_; $x += 2 )
    {
        $pos{ $_[$x] } = $x + 1;
    }
#line 3 "/home/production/cxgn/sgn/mason/tools/bulk/index.mas"
     $mode = exists $pos{'mode'} ? $_[ $pos{'mode'} ] :  '';
#line 4 "/home/production/cxgn/sgn/mason/tools/bulk/index.mas"
     $debug = exists $pos{'debug'} ? $_[ $pos{'debug'} ] :  '';
}
$m->debug_hook( $m->current_comp->path ) if ( HTML::Mason::Compiler::IN_PERL_DB() );

#line 1 "/home/production/cxgn/sgn/mason/tools/bulk/index.mas"
$m->print( '
' );
#line 6 "/home/production/cxgn/sgn/mason/tools/bulk/index.mas"
$m->print( '
' );
#line 7 "/home/production/cxgn/sgn/mason/tools/bulk/index.mas"

my %modes = ( clone_search => 0,  microarray=>1,  unigene=>2, bac=>3, bac_end=>4, genes=>5, feature=>6, converter=>7, ftp=>8, );
if (!$mode) { $mode="clone_search";}
if (!exists($modes{$mode})) { $mode = "clone_search"; }
#line 12 "/home/production/cxgn/sgn/mason/tools/bulk/index.mas"
$m->print( '
' );
#line 13 "/home/production/cxgn/sgn/mason/tools/bulk/index.mas"
$m->comp(   '/util/import_javascript.mas', classes => [ 'jqueryui' ]   
); #line 13 "/home/production/cxgn/sgn/mason/tools/bulk/index.mas"
$m->print( '

' );
#line 15 "/home/production/cxgn/sgn/mason/tools/bulk/index.mas"
$m->comp(   '/page/page_title.mas', title=>"Bulk Download"   
); #line 15 "/home/production/cxgn/sgn/mason/tools/bulk/index.mas"
$m->print( '

<script>
  jQuery(function() {
    
    jQuery( "#tabs" ).tabs({
      //show: { effect: \'blind\', duration: 800},
      active: ' );
#line 22 "/home/production/cxgn/sgn/mason/tools/bulk/index.mas"
$m->print(  $modes{$mode}  );
#line 22 "/home/production/cxgn/sgn/mason/tools/bulk/index.mas"
$m->print( ',
      beforeLoad: function( event, ui ) {
        ui.jqXHR.error(function() {
          ui.panel.html(
            "Couldn\'t load this tab. We\'ll try to fix this as soon as possible. " +
            "If this wouldn\'t be a demo." );
        });
      }

  });
  });
</script>


<div id="tabs">
  <ul>
    <li><a href="/tools/bulk/tabs/clone_tab">Clones</a></li>
    <li><a href="/tools/bulk/tabs/array_tab">Arrays</a></li>
    <li><a href="/tools/bulk/tabs/unigene_tab">Unigenes</a></li>
    <li><a href="/tools/bulk/tabs/bac_tab">BACs</a></li>
    <li><a href="/tools/bulk/tabs/bac_end_tab">BAC ends</a></li>
    <li><a href="/tools/bulk/tabs/gene_tab">Genes</a></li>
    <li><a href="/tools/bulk/tabs/feature_tab">Features</a></li>
    <li><a href="/tools/bulk/tabs/converter_tab">Converter</a></li>
    <li><a href="/tools/bulk/tabs/ftp_tab">FTP</a></li>
  </ul>
</div>
</div>
' );
;return;
},
'declared_args' => {
  '$debug' => { default => ' \'\'' },
  '$mode' => { default => ' \'\'' }
},
'load_time' => 1716904775,

)
;